# $Revision: 1.9 $, $Date: 2002/07/17 22:42:37 $
Summary:	NSCA daemon for NetSaint
Summary(pl):	Demon NSCA dla NetSainta
Name:		netsaint-nsca
Version:	1.2.0
Release:	2
License:	GPL
Group:		Networking
Source0:	http://www.netsaint.org/download/nsca-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.submit
URL:		http://www.netsaint.org/
BuildRequires:	autoconf
BuildRequires:	libltdl-devel
%{!?_without_mcrypt:BuildRequires:	libmcrypt-devel}
Prereq:		netsaint
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NSCA daemon for NetSaint - listens for service check results from
remote machines (sent using send_ncsa from netsaint-ncsa-client
package).

%description -l pl
Demon NSCA dla NetSainta - zbiera wyniki testw ze zdalnych maszyn
(wysane przez send_ncsa z pakietu netsaint-ncsa-client).

%package client
Summary:	NSCA client
Summary(pl):	Klient NSCA
Group:		Networking

%description client
NSCA client - is used to send service check information from a remote
machine to the NSCA daemon on the central machine that runs NetSaint.

%description client -l pl
Klient NSCA - uywany do wysyania wynikw testw ze zdalnych maszyn
do centralnej maszyny, na ktrej dziaa NetSaint.

%prep
%setup -q -n nsca-%{version}

%build
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/netsaint,/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_libdir}/netsaint,%{_sbindir}}

install src/nsca $RPM_BUILD_ROOT%{_libdir}/netsaint
sed -e 's@^command_file=.*@command_file=/var/log/netsaint/rw/netsaint.cmd@' \
	nsca.cfg > $RPM_BUILD_ROOT%{_sysconfdir}/netsaint/nsca.cfg
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/netsaint-nsca

install src/send_nsca $RPM_BUILD_ROOT%{_sbindir}
install send_nsca.cfg $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}/send_nsca-submit
echo '# put your central netsaint machine name or address here' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/send_nsca-central

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add netsaint-nsca
if [ -f /var/lock/subsys/netsaint-nsca ]; then
	/etc/rc.d/init.d/netsaint-nsca restart >&2
else
	echo "Run \"/etc/rc.d/init.d/netsaint-nsca start\" to start NSCA daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/netsaint-nsca ]; then
		/etc/rc.d/init.d/netsaint-nsca stop >&2
	fi
	/sbin/chkconfig --del netsaint-nsca
fi

%files
%defattr(644,root,root,755)
%attr(640,root,netsaint) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/netsaint/nsca.cfg
%doc Changelog README SECURITY
%attr(755,root,root) %{_libdir}/netsaint/nsca
%attr(754,root,root) /etc/rc.d/init.d/netsaint-nsca

%files client
%defattr(644,root,root,755)
%attr(640,root,netsaint) %config(noreplace) %verify(not size mtime md5 group) %{_sysconfdir}/send_nsca.cfg
%attr(640,root,netsaint) %config(noreplace) %verify(not size mtime md5 group) %{_sysconfdir}/send_nsca-central
%attr(755,root,root) %{_sbindir}/send_nsca*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: netsaint-nsca.spec,v $
Revision 1.9  2002/07/17 22:42:37  qboosh
- typo, new %%doc; release 2

Revision 1.8  2002/07/13 17:39:26  orzech
- updated to non-beta version

Revision 1.7  2002/05/21 23:14:14  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/02/23 04:05:39  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/02 19:48:30  ankry
- removing bogus fr/ru/uk Group translations

Revision 1.3  2002/01/18 02:14:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/20 09:56:49  qboosh
- in server: Prereq: netsaint (because of netsaint user/group)
  finished init script - run NSCA as netsaint user, detach from terminal
- in client: use netsaint group by default for config files; if it
  doesn't exist, rpm will use root - that's OK if client will be used without
  netsaint on the same host...

Revision 1.1  2001/12/19 15:40:43  qboosh
- Netsaint NSCA client and server (NFY)
